# MongoBinData::__construct

(PECL mongo >= 0.8.1)

MongoBinData::__construct — Creates a new binary data object

> This extension that defines this method is deprecated. Instead, the MongoDB extension should be used. Alternatives to this method include:

> - MongoDB\BSON\Binary::__construct()

### Description

public MongoBinData::__construct ( string `$data` [, int `$type` = 0 ] )

Creates a new binary data object.

There are seven types of binary data currently recognized by the BSON spec, which are defined as class constants. For backwards compatibility, the PHP driver uses `MongoBinData::BYTE_ARRAY` as the default; however, this may change to `MongoBinData::GENERIC` in the future. Users are encouraged to specify a type instead of relying on the default.

### Parameters

`data`

  Binary data.

`type`

  Data type.

### Return Values

Returns a new binary data object.

### Changelog

Version | Description
--- | ---
1.5.0 | The default changed from 2 (`MongoBinData::BYTE_ARRAY`) to 0 (`MongoBinData::GENERIC`).
1.2.11 | Emits `E_DEPRECATED` when the second argument is not used. The default value for `type` may change in the near future.